<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: server.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('server_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">server.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="server_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2014, Freescale Semiconductor, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright 2016 NXP</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without modification,</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * o Redistributions of source code must retain the above copyright notice, this list</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *   of conditions and the following disclaimer.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * o Redistributions in binary form must reproduce the above copyright notice, this</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   list of conditions and the following disclaimer in the documentation and/or</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *   other materials provided with the distribution.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * o Neither the name of the copyright holder nor the names of its</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *   contributors may be used to endorse or promote products derived from this</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *   software without specific prior written permission.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef _EMBEDDED_RPC__SERVER_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define _EMBEDDED_RPC__SERVER_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="codec_8h.html">codec.h</a>&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment">// Classes</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceerpc.html">erpc</a> {</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classerpc_1_1_service.html">   53</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpc_1_1_service.html">Service</a></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;{</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classerpc_1_1_service.html#ad434cc308d22167ae9ea98c109def16e">   61</a></span>&#160;    <a class="code" href="classerpc_1_1_service.html#ad434cc308d22167ae9ea98c109def16e">Service</a>(uint32_t serviceId)</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    : <a class="code" href="classerpc_1_1_service.html#ac700bb6ac87107300d3bf23bc68b7a5a">m_serviceId</a>(serviceId)</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    , <a class="code" href="classerpc_1_1_service.html#aac1ddd21edb74c3c41c4808f28c59b32">m_next</a>(NULL)</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    {</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    }</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classerpc_1_1_service.html#a4fbd5171a6b29560d2ca3bf3aad3020b">   70</a></span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpc_1_1_service.html#a4fbd5171a6b29560d2ca3bf3aad3020b">~Service</a>() {}</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno"><a class="line" href="classerpc_1_1_service.html#a6b3706517467b41930f851448369b4b3">   77</a></span>&#160;    uint32_t <a class="code" href="classerpc_1_1_service.html#a6b3706517467b41930f851448369b4b3">getServiceId</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classerpc_1_1_service.html#ac700bb6ac87107300d3bf23bc68b7a5a">m_serviceId</a>; }</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="classerpc_1_1_service.html#acb1ffd32374c6ee56158178771190e5a">   84</a></span>&#160;    <a class="code" href="classerpc_1_1_service.html">Service</a> *<a class="code" href="classerpc_1_1_service.html#acb1ffd32374c6ee56158178771190e5a">getNext</a>() { <span class="keywordflow">return</span> <a class="code" href="classerpc_1_1_service.html#aac1ddd21edb74c3c41c4808f28c59b32">m_next</a>; }</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="classerpc_1_1_service.html#ac7f0e6b17b44fd8be07bcb92d0454360">   91</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpc_1_1_service.html#ac7f0e6b17b44fd8be07bcb92d0454360">setNext</a>(<a class="code" href="classerpc_1_1_service.html">Service</a> *next) { <a class="code" href="classerpc_1_1_service.html#aac1ddd21edb74c3c41c4808f28c59b32">m_next</a> = next; }</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> <a class="code" href="classerpc_1_1_service.html#abc0b3e350803e0388da9a01db2b99f5c">handleInvocation</a>(uint32_t methodId, uint32_t sequence, <a class="code" href="classerpc_1_1_codec.html">Codec</a> *codec, <a class="code" href="classerpc_1_1_message_buffer_factory.html">MessageBufferFactory</a> *messageFactory) = 0;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="classerpc_1_1_service.html#ac700bb6ac87107300d3bf23bc68b7a5a">  106</a></span>&#160;    uint32_t <a class="code" href="classerpc_1_1_service.html#ac700bb6ac87107300d3bf23bc68b7a5a">m_serviceId</a>; </div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="classerpc_1_1_service.html#aac1ddd21edb74c3c41c4808f28c59b32">  107</a></span>&#160;    <a class="code" href="classerpc_1_1_service.html">Service</a> *<a class="code" href="classerpc_1_1_service.html#aac1ddd21edb74c3c41c4808f28c59b32">m_next</a>;      </div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;};</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno"><a class="line" href="classerpc_1_1_server.html">  115</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpc_1_1_server.html">Server</a></div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;{</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00123"></a><span class="lineno"><a class="line" href="classerpc_1_1_server.html#a76bd7ff4f0750a4dda8ac50eec545ae6">  123</a></span>&#160;    <a class="code" href="classerpc_1_1_server.html#a76bd7ff4f0750a4dda8ac50eec545ae6">Server</a>()</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    : m_messageFactory()</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    , m_codecFactory()</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    , m_transport()</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    , m_firstService()</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    {</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    }</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno"><a class="line" href="classerpc_1_1_server.html#ad5cee0a2e099df621576db4e82db4bc1">  134</a></span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpc_1_1_server.html#ad5cee0a2e099df621576db4e82db4bc1">~Server</a>() {}</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00141"></a><span class="lineno"><a class="line" href="classerpc_1_1_server.html#aea0bb0b2dc6f0e08bdca12f0fecf8af3">  141</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpc_1_1_server.html#aea0bb0b2dc6f0e08bdca12f0fecf8af3">setMessageBufferFactory</a>(<a class="code" href="classerpc_1_1_message_buffer_factory.html">MessageBufferFactory</a> *factory) { m_messageFactory = factory; }</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno"><a class="line" href="classerpc_1_1_server.html#a10343432a08dc5f419d513690ff17bad">  148</a></span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpc_1_1_server.html#a10343432a08dc5f419d513690ff17bad">setCodecFactory</a>(<a class="code" href="classerpc_1_1_codec_factory.html">CodecFactory</a> *factory) { m_codecFactory = factory; }</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    <span class="keywordtype">void</span> setTransport(<a class="code" href="classerpc_1_1_transport.html">Transport</a> *transport);</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    <span class="keywordtype">void</span> addService(<a class="code" href="classerpc_1_1_service.html">Service</a> *service);</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> run() = 0;</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> stop() = 0;</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00177"></a><span class="lineno"><a class="line" href="classerpc_1_1_server.html#a88758b33245c202377bd5fc83b1fed75">  177</a></span>&#160;    <a class="code" href="classerpc_1_1_message_buffer_factory.html">MessageBufferFactory</a> *<a class="code" href="classerpc_1_1_server.html#a88758b33245c202377bd5fc83b1fed75">m_messageFactory</a>; </div><div class="line"><a name="l00178"></a><span class="lineno"><a class="line" href="classerpc_1_1_server.html#aff81e28843ef0c2592fb281379cc8a10">  178</a></span>&#160;    <a class="code" href="classerpc_1_1_codec_factory.html">CodecFactory</a> *<a class="code" href="classerpc_1_1_server.html#aff81e28843ef0c2592fb281379cc8a10">m_codecFactory</a>;           </div><div class="line"><a name="l00179"></a><span class="lineno"><a class="line" href="classerpc_1_1_server.html#a878ae2656b002af6f9299faa5b9b975a">  179</a></span>&#160;    <a class="code" href="classerpc_1_1_transport.html">Transport</a> *<a class="code" href="classerpc_1_1_server.html#a878ae2656b002af6f9299faa5b9b975a">m_transport</a>;                 </div><div class="line"><a name="l00180"></a><span class="lineno"><a class="line" href="classerpc_1_1_server.html#a758abab3fa00e692cbfde60f45eb6939">  180</a></span>&#160;    <a class="code" href="classerpc_1_1_service.html">Service</a> *<a class="code" href="classerpc_1_1_server.html#a758abab3fa00e692cbfde60f45eb6939">m_firstService</a>;                </div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a> processMessage(<a class="code" href="classerpc_1_1_codec.html">Codec</a> *codec, <a class="code" href="codec_8h.html#a7116f64fb1351d72417155cfed485478">message_type_t</a> &amp;msgType);</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpc_1_1_service.html">Service</a> *findServiceWithId(uint32_t serviceId);</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;    <span class="comment">// Disable copy ctor.</span></div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    <a class="code" href="classerpc_1_1_server.html">Server</a>(<span class="keyword">const</span> <a class="code" href="classerpc_1_1_server.html">Server</a> &amp;);            </div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    <a class="code" href="classerpc_1_1_server.html">Server</a> &amp;operator=(<span class="keyword">const</span> <a class="code" href="classerpc_1_1_server.html">Server</a> &amp;); </div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;};</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;} <span class="comment">// namespace erpc</span></div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;<span class="preprocessor">#endif // _EMBEDDED_RPC__SERVER_H_</span></div><div class="ttc" id="classerpc_1_1_transport_html"><div class="ttname"><a href="classerpc_1_1_transport.html">erpc::Transport</a></div><div class="ttdoc">Abstract interface for transport layer. </div><div class="ttdef"><b>Definition:</b> transport.h:57</div></div>
<div class="ttc" id="classerpc_1_1_server_html_a10343432a08dc5f419d513690ff17bad"><div class="ttname"><a href="classerpc_1_1_server.html#a10343432a08dc5f419d513690ff17bad">erpc::Server::setCodecFactory</a></div><div class="ttdeci">void setCodecFactory(CodecFactory *factory)</div><div class="ttdoc">Set CodecFactory to use. </div><div class="ttdef"><b>Definition:</b> server.h:148</div></div>
<div class="ttc" id="classerpc_1_1_service_html_ad434cc308d22167ae9ea98c109def16e"><div class="ttname"><a href="classerpc_1_1_service.html#ad434cc308d22167ae9ea98c109def16e">erpc::Service::Service</a></div><div class="ttdeci">Service(uint32_t serviceId)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> server.h:61</div></div>
<div class="ttc" id="codec_8h_html_a7116f64fb1351d72417155cfed485478"><div class="ttname"><a href="codec_8h.html#a7116f64fb1351d72417155cfed485478">erpc::message_type_t</a></div><div class="ttdeci">message_type_t</div><div class="ttdoc">Types of messages that can be encoded. </div><div class="ttdef"><b>Definition:</b> codec.h:55</div></div>
<div class="ttc" id="group__infra_html_ga5f8872e58f09a16d192bf664f9898651"><div class="ttname"><a href="group__infra.html#ga5f8872e58f09a16d192bf664f9898651">erpc_status_t</a></div><div class="ttdeci">int32_t erpc_status_t</div><div class="ttdoc">Type used for all status and error return values. </div><div class="ttdef"><b>Definition:</b> erpc_common.h:99</div></div>
<div class="ttc" id="classerpc_1_1_service_html_a4fbd5171a6b29560d2ca3bf3aad3020b"><div class="ttname"><a href="classerpc_1_1_service.html#a4fbd5171a6b29560d2ca3bf3aad3020b">erpc::Service::~Service</a></div><div class="ttdeci">virtual ~Service()</div><div class="ttdoc">Service destructor. </div><div class="ttdef"><b>Definition:</b> server.h:70</div></div>
<div class="ttc" id="classerpc_1_1_server_html_a878ae2656b002af6f9299faa5b9b975a"><div class="ttname"><a href="classerpc_1_1_server.html#a878ae2656b002af6f9299faa5b9b975a">erpc::Server::m_transport</a></div><div class="ttdeci">Transport * m_transport</div><div class="ttdef"><b>Definition:</b> server.h:179</div></div>
<div class="ttc" id="codec_8h_html"><div class="ttname"><a href="codec_8h.html">codec.h</a></div></div>
<div class="ttc" id="classerpc_1_1_service_html"><div class="ttname"><a href="classerpc_1_1_service.html">erpc::Service</a></div><div class="ttdoc">Abstract interface for service, which can be executed on server side. </div><div class="ttdef"><b>Definition:</b> server.h:53</div></div>
<div class="ttc" id="classerpc_1_1_service_html_ac700bb6ac87107300d3bf23bc68b7a5a"><div class="ttname"><a href="classerpc_1_1_service.html#ac700bb6ac87107300d3bf23bc68b7a5a">erpc::Service::m_serviceId</a></div><div class="ttdeci">uint32_t m_serviceId</div><div class="ttdef"><b>Definition:</b> server.h:106</div></div>
<div class="ttc" id="classerpc_1_1_codec_html"><div class="ttname"><a href="classerpc_1_1_codec.html">erpc::Codec</a></div><div class="ttdoc">Abstract serialization encoder/decoder interface. </div><div class="ttdef"><b>Definition:</b> codec.h:69</div></div>
<div class="ttc" id="classerpc_1_1_server_html_aff81e28843ef0c2592fb281379cc8a10"><div class="ttname"><a href="classerpc_1_1_server.html#aff81e28843ef0c2592fb281379cc8a10">erpc::Server::m_codecFactory</a></div><div class="ttdeci">CodecFactory * m_codecFactory</div><div class="ttdef"><b>Definition:</b> server.h:178</div></div>
<div class="ttc" id="classerpc_1_1_service_html_aac1ddd21edb74c3c41c4808f28c59b32"><div class="ttname"><a href="classerpc_1_1_service.html#aac1ddd21edb74c3c41c4808f28c59b32">erpc::Service::m_next</a></div><div class="ttdeci">Service * m_next</div><div class="ttdef"><b>Definition:</b> server.h:107</div></div>
<div class="ttc" id="classerpc_1_1_codec_factory_html"><div class="ttname"><a href="classerpc_1_1_codec_factory.html">erpc::CodecFactory</a></div><div class="ttdoc">Abstract interface for codec factory. </div><div class="ttdef"><b>Definition:</b> codec.h:483</div></div>
<div class="ttc" id="classerpc_1_1_server_html_a76bd7ff4f0750a4dda8ac50eec545ae6"><div class="ttname"><a href="classerpc_1_1_server.html#a76bd7ff4f0750a4dda8ac50eec545ae6">erpc::Server::Server</a></div><div class="ttdeci">Server()</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> server.h:123</div></div>
<div class="ttc" id="classerpc_1_1_server_html"><div class="ttname"><a href="classerpc_1_1_server.html">erpc::Server</a></div><div class="ttdoc">Based server functionality. </div><div class="ttdef"><b>Definition:</b> server.h:115</div></div>
<div class="ttc" id="classerpc_1_1_server_html_ad5cee0a2e099df621576db4e82db4bc1"><div class="ttname"><a href="classerpc_1_1_server.html#ad5cee0a2e099df621576db4e82db4bc1">erpc::Server::~Server</a></div><div class="ttdeci">virtual ~Server()</div><div class="ttdoc">ClientManager destructor. </div><div class="ttdef"><b>Definition:</b> server.h:134</div></div>
<div class="ttc" id="namespaceerpc_html"><div class="ttname"><a href="namespaceerpc.html">erpc</a></div><div class="ttdef"><b>Definition:</b> arbitrated_client_manager.h:47</div></div>
<div class="ttc" id="classerpc_1_1_server_html_aea0bb0b2dc6f0e08bdca12f0fecf8af3"><div class="ttname"><a href="classerpc_1_1_server.html#aea0bb0b2dc6f0e08bdca12f0fecf8af3">erpc::Server::setMessageBufferFactory</a></div><div class="ttdeci">void setMessageBufferFactory(MessageBufferFactory *factory)</div><div class="ttdoc">Set MessageBufferFactory to use. </div><div class="ttdef"><b>Definition:</b> server.h:141</div></div>
<div class="ttc" id="classerpc_1_1_service_html_ac7f0e6b17b44fd8be07bcb92d0454360"><div class="ttname"><a href="classerpc_1_1_service.html#ac7f0e6b17b44fd8be07bcb92d0454360">erpc::Service::setNext</a></div><div class="ttdeci">void setNext(Service *next)</div><div class="ttdoc">Set next service. </div><div class="ttdef"><b>Definition:</b> server.h:91</div></div>
<div class="ttc" id="classerpc_1_1_server_html_a88758b33245c202377bd5fc83b1fed75"><div class="ttname"><a href="classerpc_1_1_server.html#a88758b33245c202377bd5fc83b1fed75">erpc::Server::m_messageFactory</a></div><div class="ttdeci">MessageBufferFactory * m_messageFactory</div><div class="ttdef"><b>Definition:</b> server.h:177</div></div>
<div class="ttc" id="classerpc_1_1_service_html_abc0b3e350803e0388da9a01db2b99f5c"><div class="ttname"><a href="classerpc_1_1_service.html#abc0b3e350803e0388da9a01db2b99f5c">erpc::Service::handleInvocation</a></div><div class="ttdeci">virtual erpc_status_t handleInvocation(uint32_t methodId, uint32_t sequence, Codec *codec, MessageBufferFactory *messageFactory)=0</div><div class="ttdoc">This function call function implementation of current service. </div></div>
<div class="ttc" id="classerpc_1_1_message_buffer_factory_html"><div class="ttname"><a href="classerpc_1_1_message_buffer_factory.html">erpc::MessageBufferFactory</a></div><div class="ttdoc">Abstract interface for message buffer factory. </div><div class="ttdef"><b>Definition:</b> message_buffer.h:288</div></div>
<div class="ttc" id="classerpc_1_1_service_html_a6b3706517467b41930f851448369b4b3"><div class="ttname"><a href="classerpc_1_1_service.html#a6b3706517467b41930f851448369b4b3">erpc::Service::getServiceId</a></div><div class="ttdeci">uint32_t getServiceId() const </div><div class="ttdoc">Return service id number. </div><div class="ttdef"><b>Definition:</b> server.h:77</div></div>
<div class="ttc" id="classerpc_1_1_service_html_acb1ffd32374c6ee56158178771190e5a"><div class="ttname"><a href="classerpc_1_1_service.html#acb1ffd32374c6ee56158178771190e5a">erpc::Service::getNext</a></div><div class="ttdeci">Service * getNext()</div><div class="ttdoc">Return next service. </div><div class="ttdef"><b>Definition:</b> server.h:84</div></div>
<div class="ttc" id="classerpc_1_1_server_html_a758abab3fa00e692cbfde60f45eb6939"><div class="ttname"><a href="classerpc_1_1_server.html#a758abab3fa00e692cbfde60f45eb6939">erpc::Server::m_firstService</a></div><div class="ttdeci">Service * m_firstService</div><div class="ttdef"><b>Definition:</b> server.h:180</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
